#pragma once

namespace spin
{
    class IConnectionStateMachine
    {
    public:
        enum Event
        {
            Connect,
            Disconnect,
            ConnectionEstablished,
            WatchdogDied,
            WatchdogKicked,
            CommunicationFailed
        };
        virtual ~IConnectionStateMachine() = default;
        virtual bool isBridgeConnected() const = 0;
        virtual void handleEvent(const Event event) = 0;
    };
} // namespace spin
